devel/pear1.9.0 build problems

freebsd at box201.com freebsd at box201.com
Fri Nov 13 14:12:21 UTC 2009


Martin wrote:
  >Date: Thu, 12 Nov 2009 22:34:20 +0100
  >From: Martin Wilke <miwi at FreeBSD.org>
  >Subject: Re: devel/pear1.9.0 build problems
  >To: Agrapha <freebsd at box201.com>
  >Cc: freebsd-ports at freebsd.org
  >Message-ID: <20091112213420.GK98472 at bsdcrew.de>
  >Content-Type: text/plain; charset=us-ascii; x-action=pgp-signed
  >
  >-----BEGIN PGP SIGNED MESSAGE-----
  >Hash: SHA1
  >
  >Rebuild php5 and try again.

Rebuilt php5 as directed via the port. Everything installs fine no errors.
Next cd to devel/pear and the same crash. This system had pear-1.8.1 before
but 1.9.0 just refuses to build.

===>   Compressing manual pages for php5-5.2.11_1
===>   Registering installation for php5-5.2.11_1
===> SECURITY REPORT:
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/libexec/apache22/libphp5.so
/usr/local/bin/php
/usr/local/bin/php-cgi

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage:
http://www.php.net/

/usr/ports/lang/pear>cd ../../devel/pear

/usr/ports/devel/pear> make reinstall clean
===>  Installing for pear-1.9.0
===>   pear-1.9.0 depends on file: /usr/local/include/php/main/php.h - found
===>   pear-1.9.0 depends on file: /usr/local/lib/php/20060613/pcre.so -
found
===>   pear-1.9.0 depends on file: /usr/local/lib/php/20060613/xml.so -
found
===>   Generating temporary packing list
===>  Checking if devel/pear already installed

Bootstrapping Installer...................
Using previously install ... ok

Extracting installer..................
Using previously installed installer ... ok

Preparing installer..................
Updating channel "doc.php.net"
Channel "doc.php.net" is up to date
Updating channel "pear.php.net"
Channel "pear.php.net" is up to date
Updating channel "pecl.php.net"
Channel "pecl.php.net" is up to date

Installing selected packages..................
Package: PEAR-stable.............................. already installed ... ok
Package: Structures_Graph-stable.................. already installed ... ok
Package: Archive_Tar-stable....................... already installed ... ok
Package: Console_Getopt-stable.................... already installed ... ok
*** Signal 11

Stop in /usr/ports/devel/pear.
*** Error code 1

Stop in /usr/ports/devel/pear.

/usr/ports/devel/pear>

Can I delete what pear has already installed? 



More information about the freebsd-ports mailing list